#ifndef _DININGTABLE
#define _DININGTABLE

#pragma once
template<class TYPE> class LinkedList;
class MuckBBang;
class BBangHouse;
class Servant;

class DiningTable
{
	int nCustomer;
	LinkedList<MuckBBang *> *pCustomers;
public:
	DiningTable();
	~DiningTable(void);
	void join(MuckBBang *person);
	void servedBy(Servant *pServant);
	void print();
	LinkedList<MuckBBang *> *getCustomers() { return pCustomers; }
};

#endif
